Skip to main content
`Ctrl`+`K`

# PEPConvergenceTestFn

A prototype of a `PEP` convergence test function that would be passed to `PEPSetConvergenceTestFunction()`.

## Synopsis

    PETSC_EXTERN_TYPEDEF typedef PetscErrorCode PEPConvergenceTestFn(PEP pep,PetscScalar eigr,PetscScalar eigi,PetscReal res,PetscReal *errest,void *ctx);

## Calling Sequence

- pep - the polynomial eigensolver context

- eigr - real part of the eigenvalue

- eigi - imaginary part of the eigenvalue

- res - residual norm associated to the eigenpair

- errest - [output] computed error estimate

- ctx - optional convergence context, as set by `PEPSetConvergenceTestFunction()`

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPSetConvergenceTest()`, `PEPSetConvergenceTestFunction()`

## Level

advanced

## Location

include/slepcpep.h

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages